<?php
/**
 * The template for displaying product widget entries.
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-widget-product.php.
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.5.5
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

global $product;

if ( ! is_a( $product, 'WC_Product' ) ) {
    return;
}

?>
<li>
	<?php do_action( 'woocommerce_widget_product_item_start', $args ); ?>

    <!--our modification start-->
	<a class="mkdf-woo-product-widget-image" href="<?php echo esc_url( $product->get_permalink() ); ?>" title="<?php echo esc_attr($product->get_name()); ?>">
		<?php echo gotravel_mikado_kses_img($product->get_image()); ?>
	</a>

	<div class="mkdf-woo-product-widget-content">
		<a class="mkdf-woo-product-widget-title" href="<?php echo esc_url(get_permalink($product->get_id())); ?>">
			<span class="product-title"><?php echo gotravel_mikado_get_module_part($product->get_name()); ?></span>
		</a>

        <?php echo gotravel_mikado_get_module_part($product->get_price_html()); // PHPCS:Ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>

        <?php if ( ! empty( $show_rating ) ) : ?>
            <?php echo wc_get_rating_html( $product->get_average_rating() ); // PHPCS:Ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>
        <?php endif; ?>
	</div>
    <!--our modification end-->

	<?php do_action( 'woocommerce_widget_product_item_end', $args ); ?>
</li>